aboutsummaryrefslogtreecommitdiff
path: root/test/runtests-quiet.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/runtests-quiet.sh')
-rwxr-xr-xtest/runtests-quiet.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/test/runtests-quiet.sh b/test/runtests-quiet.sh
new file mode 100755
index 0000000..2bc7da0
--- /dev/null
+++ b/test/runtests-quiet.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+
+TESTS=("$@")
+RESULT_FILE=$(mktemp)
+./runtests.sh "${TESTS[@]}" > "$RESULT_FILE" 2>&1
+RET="$?"
+if [ "${RET}" -ne 0 ]; then
+ cat "$RESULT_FILE"
+fi
+rm "$RESULT_FILE"
+exit $RET